org.apache.olingo.server.api.serializer

## Enum Kind

- java.lang.Object
- - java.lang.Enum<Kind>
  - - org.apache.olingo.server.api.serializer.Kind

- All Implemented Interfaces:
    Serializable, Comparable<Kind>

      public enum Kind
      extends Enum<Kind>

  The different types of edm kinds that form the metadata

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Action` Action
    `ActionImport` Action Import
    `ComplexType` ComplexType
    `EntityContainer` Entity Container
    `EntitySet` Entity Set
    `EntityType` EntityType
    `EnumType` Enum Type
    `Extending` Extending
    `Function` Function
    `FunctionImport` Function Import
    `NavigationProperty` Navigation Property
    `Singleton` Singleton
    `Term` Term

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EntityType

          public static final Kind EntityType

      EntityType

    - #### ComplexType

          public static final Kind ComplexType

      ComplexType

    - #### FunctionImport

          public static final Kind FunctionImport

      Function Import

    - #### ActionImport

          public static final Kind ActionImport

      Action Import

    - #### Term

          public static final Kind Term

      Term

    - #### NavigationProperty

          public static final Kind NavigationProperty

      Navigation Property

    - #### EnumType

          public static final Kind EnumType

      Enum Type

    - #### Singleton

          public static final Kind Singleton

      Singleton

    - #### Extending

          public static final Kind Extending

      Extending

    - #### EntityContainer

          public static final Kind EntityContainer

      Entity Container

    - #### EntitySet

          public static final Kind EntitySet

      Entity Set

    - #### Function

          public static final Kind Function

      Function

    - #### Action

          public static final Kind Action

      Action

  - ### Method Detail

    - #### values

          public static Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Kind c : Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.